#! /bin/bash
# Created automatically on 12-Mar-2008

config() {
    NEW="$1"
    OLD="`dirname $NEW`/`basename $NEW .new`"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
mv $NEW $OLD
    elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
}

config /etc/compizconfig/config.new    

( cd usr/lib ; rm -rf libcompizconfig.so.0 )
( cd usr/lib ; ln -sf libcompizconfig.so.0.0.0 libcompizconfig.so.0 )
( cd usr/lib ; rm -rf libcompizconfig.so )
( cd usr/lib ; ln -sf libcompizconfig.so.0.0.0 libcompizconfig.so )
